# Ambient light

A decision block that checks the ambient light using the built-in sensor.

If the proceed option is set to Immediately, then check the current light level without pausing the fiber. If set to When changed, then the fiber will pause until the light level comes within the lux range, or goes out of range.

If both minimum level and maximum level is set and doesn’t evaluate to `null` then the light level must be within the range. If only minimum is set, then the level must be greater than or equal to it. If only maximum is set, then the level must be less than or equal to it. If neither minimum nor maximum is set, then the current level is just assigned to the current level variable without a check.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum level — minimum light level in lux.
- Maximum level — maximum light level in lux.

## Output variables

- Current level — variable to assign the current light level in lux.